"use strict";
exports.__esModule = true;
var initUserinfo = function () { return ({
    cellphone: '',
    comment: '',
    createAt: '',
    id: 0,
    isOpenOperLog: 0,
    isSetPassword: 0,
    lastLoginDate: '',
    loginAccount: '',
    loginCount: 0,
    name: '',
    operateId: 0,
    operateName: '',
    state: '',
    updateAt: ''
}); };
App({
    onLaunch: function () {
        console.log('in onLaunch');
        try {
            var token = wx.getStorageSync('token');
            if (token) {
                this.globalData.token = token;
            }
        }
        catch (error) { }
    },
    globalData: {
        userInfo: initUserinfo(),
        token: '',
        userRoles: []
    },
    getToken: function () {
        return this.globalData.token;
    },
    resetUserinfo: function () {
        this.globalData.token = '';
        this.globalData.userInfo = initUserinfo();
        this.globalData.userRoles = [];
        try {
            wx.setStorageSync('token', '');
        }
        catch (error) { }
    }
});
