"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
var fetch_1 = require("../../api/fetch");
// miniprogram/pages/equipmentReport/equipmentReport.js
Page({
    /**
     * 页面的初始数据
     */
    data: {
        areaId: null,
        areaName: '',
        type: 0,
        timeType: 0,
        totalAmount: [],
        menuCode: false,
        menuCode1: false,
        menuCode2: false
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        var _this = this;
        console.log(options);
        var app = getApp();
        console.log(app.globalData.userRoles);
        var roles1 = app.globalData.userRoles;
        var roles = [];
        this.handleArr(roles1, roles);
        var menuCode = roles.filter(function (item) { return item.menuCode == "91060001"; }).length > 0;
        var menuCode1 = roles.filter(function (item) { return item.menuCode == "91060002"; }).length > 0;
        var menuCode2 = roles.filter(function (item) { return item.menuCode == "91060003"; }).length > 0;
        this.setData({
            menuCode: menuCode,
            menuCode1: menuCode1,
            menuCode2: menuCode2,
            type: menuCode ? 0 : (menuCode1 ? 1 : 2)
        });
        var areaId = options.areaId, areaName = options.areaName;
        var eventChannel = this.getOpenerEventChannel();
        eventChannel.on('acceptDataFromOpenerPage', function (res) {
            console.log(res);
            _this.setData({
                totalAmount: res.data.totalAmount.map(function (item) { return (__assign(__assign({}, item), { type: item.key === '洗衣'
                        ? 2
                        : item.key === '饮水'
                            ? 3
                            : item.key === '吹风'
                                ? 4
                                : item.key === '洗浴'
                                    ? 5
                                    : item.key })); })
            });
        });
        this.setData({
            areaId: areaId,
            areaName: areaName
        });
        // this.fetchWarningLevel();
    },
    handleArr: function (param, arr) {
        if (param.length) {
            for (var i = 0; i < param.length; i++) {
                arr.push(param[i]);
                if (param[i].childs && param[i].childs.length > 0) {
                    this.handleArr(param[i].childs, arr);
                }
            }
        }
        else {
            arr.push(param);
            if (param.childs && param.childs.length > 0) {
                this.handleArr(param.childs, arr);
            }
        }
    },
    fetchWarningLevel: function () {
        (0, fetch_1.deviceFetch)({
            url: '/device/warning/dict/warningLevel'
        })
            .then(function (res) {
            console.log(res);
        })["catch"](function (err) {
            console.log(err);
        });
    },
    changeType: function (e) {
        var type = e.currentTarget.dataset.type;
        console.log(type);
        if (type === this.data.type)
            return;
        this.setData({
            type: type
        });
        return false;
    },
    changeTimeType: function (e) {
        var timeType = e.currentTarget.dataset.timeType;
        console.log(timeType);
        if (timeType === this.data.timeType)
            return;
        this.setData({
            timeType: timeType
        });
        return false;
    },
    fetchData: function () {
        (0, fetch_1.statisticsFetch)({
            url: '/boss/device/operation/data/summary',
            method: 'POST',
            data: {
                areaId: this.data.areaId,
                timeType: this.data.timeType
            }
        })
            .then(function (res) {
            console.log(res);
        })["catch"](function (err) {
            console.log(err);
        });
    }
});
